{ pkgs, lib, config, ... }:
with lib;
let
  cfg = config.modules.video.kdenlive;
in
{
  options.modules.video.kdenlive = {
    enable = mkEnableOption "enable Kdenlive video editor";
  };
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      kdePackages.kdenlive
      ffmpeg-full
      frei0r
      inkscape
    ];
    home.file.".local/bin/create_conf".source = ./files/create_conf.sh;
  };
}
